﻿//------------------------------------------------------------------------------
// <copyright company="Kartones.Net">
//     Copyleft (c) Kartones 2009
// </copyright> 
//------------------------------------------------------------------------------

using System;

namespace KartonesNet.APIs
{
    /// <summary>
    /// HTML Table data formatter for Google Analytics data
    /// </summary>
    public class GoogleAnalyticsTableDataFormatter : IGoogleAnalyticsDataFormatter
    {
        #region Fields

        private int fieldcounter = 0;

        #endregion

        #region Public Methods

        /// <summary>
        /// Tag to inject before each element
        /// </summary>
        /// <returns>Tag</returns>
        public string PreElementTag()
        {
            return "<tr>";
        }

        /// <summary>
        /// Tag to inject before each field of an element
        /// </summary>
        /// <returns>Tag</returns>
        public string PreFieldTag()
        {
            string html;

            if (fieldcounter == 0)
            {
                html = "<td class='CommonListCellLeftMost'>";
            }
            else
            {
                html = "<td class='CommonListCell'>";
            }

            return html;
        }

        /// <summary>
        /// Tag to inject after each field of an element
        /// </summary>
        /// <returns>Tag</returns>
        public string PostFieldTag()
        {
            fieldcounter++;
            return "</td>";
        }

        /// <summary>
        /// Tag to inject after each element
        /// </summary>
        /// <returns>Tag</returns>
        public string PostElementTag()
        {
            fieldcounter = 0;
            return "</tr>";
        }

        #endregion
    }
}
